Package org.apache.tapestry5.corelib.pages

# Class PropertyEditBlocks

java.lang.Object
org.apache.tapestry5.corelib.pages.PropertyEditBlocks

public class PropertyEditBlocks extends Object
A page that exists to contain blocks used to edit different types of properties. The blocks on this page are contributed into the `BeanBlockSource` service configuration.

See Also:
  - `BeanBlockContribution`
  - `BeanEditForm`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyEditBlocks()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FieldValidator`
  `getCalendarFieldValidator()`
  `PropertyEditContext`
  `getContext()`
  `FieldValidator`
  `getDateFieldValidator()`
  `BeanModel<?>`
  `getModel()`
  `FieldTranslator`
  `getNumberFieldTranslator()`
  `FieldValidator`
  `getNumberFieldValidator()`
  `FieldTranslator`
  `getPasswordFieldTranslator()`
  `FieldValidator`
  `getPasswordFieldValidator()`
  `SelectModel`
  `getSelectModelForProperty()`
  Provide a select mode for an enum type.
  `FieldValidator`
  `getSelectValidator()`
  `FieldTranslator`
  `getTextAreaTranslator()`
  `FieldValidator`
  `getTextAreaValidator()`
  `FieldTranslator`
  `getTextFieldTranslator()`
  `FieldValidator`
  `getTextFieldValidator()`
  `ValueEncoder`
  `getValueEncoderForProperty()`
  Provide a value encoder for an enum type.
  `boolean`
  `isBootstrap3Enabled()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyEditBlocks

    public PropertyEditBlocks()

- ## Method Details

  - ### getContext

    public PropertyEditContext getContext()

  - ### getTextFieldTranslator

    public FieldTranslator getTextFieldTranslator()

  - ### getTextFieldValidator

    public FieldValidator getTextFieldValidator()

  - ### getNumberFieldTranslator

    public FieldTranslator getNumberFieldTranslator()

  - ### getNumberFieldValidator

    public FieldValidator getNumberFieldValidator()

  - ### getPasswordFieldTranslator

    public FieldTranslator getPasswordFieldTranslator()

  - ### getPasswordFieldValidator

    public FieldValidator getPasswordFieldValidator()

  - ### getTextAreaTranslator

    public FieldTranslator getTextAreaTranslator()

  - ### getTextAreaValidator

    public FieldValidator getTextAreaValidator()

  - ### getDateFieldValidator

    public FieldValidator getDateFieldValidator()

  - ### getCalendarFieldValidator

    public FieldValidator getCalendarFieldValidator()

  - ### getSelectValidator

    public FieldValidator getSelectValidator()

  - ### getValueEncoderForProperty

    public ValueEncoder getValueEncoderForProperty()
    Provide a value encoder for an enum type.

  - ### getSelectModelForProperty

    public SelectModel getSelectModelForProperty()
    Provide a select mode for an enum type.

  - ### getModel

    public BeanModel<?> getModel()

  - ### isBootstrap3Enabled

    public boolean isBootstrap3Enabled()